#include <iostream>
using namespace std;
int main () {
	int n,l,h[n];
	cin>>n>>l;
	for (int i=0; i<n; i++) {
	    cin>>h[i];}
	for (int i=0; i<n; i++) {
	    if (h[i]-1<=l) {
	        cout<<i+1<<endl;
	        return 0;}}
	cout<<-1;
	return 0;
}